/*
 * Copyright (C) 1997, 1998 Defence Research Establishment, Dept. of Comm.
 * Systems, FOA 72, Sweden.
 * Currently maintained by Christian Jnsson FOA 72 <chj@lin.foa.se>.
 *
 * This file is part of ETFTP version 1.1.3.
 *
 *   ETFTP is free software; you can redistribute it and/or modify it
 *   under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2, or (at your option)
 *   any later version.
 *
 *   ETFTP is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with ETFTP; see the file GPL.  If not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *   Boston, MA 02111-1307, USA.
 *
 * Code:
 *
 *----------------------------------------------------------------------
 * Filenamne:   file.h
 * Class:       File
 * Created:     0.1, 970418, Torbjrn Frostemark
 * Revised:     1.1, 980219, Torbjrn Frostemark
 *
 * Public Attributes:
 *              -
 * Public Methods:
 *              FILE *FileCreate(*fileName)
 *              FILE *FileOpen(*fileName)
 *              int FileClose(*fd)
 *              int FileRead(*fd, *buffer, maxnBytes, mode)
 *              int FileWrite(FILE *fd,char *buffer,nbytes, mode)
 *
 * Description: Declarations needed for File.
 * Remarks:     -
 *----------------------------------------------------------------------
*/
    
#ifndef _FILE
#define _FILE
    
#include "etftp.h"
    
/*
 * Methods available in file.c
 */
    
extern FILE *FileCreate(char *fileName);
extern FILE *FileOpen(char *fileName);
extern int FileClose(FILE *fp);
extern int FileRead(FILE *fd, char *buffer,int maxnBytes,int mode);
extern int FileWrite(FILE *fd,char *buffer,int nbytes,int mode);
extern int FileCount(char *fileName,int mode);    
#endif /* _FILE */
    
